// GiftId:礼包ID, GiftName:礼包名称, Gold:金币, Gem:钻石, DragbonBall:龙珠, Item:道具

export default class M_CDKEY_GiftCFG {
  private static data =
      {"1":{"GiftId":1,"GiftName":"至尊豪华礼包","Gold":25000,"Gem":25,"DragbonBall":0,"Item":[]}

      ,"2":{"GiftId":2,"GiftName":"贵族钻石礼包","Gold":10000,"Gem":10,"DragbonBall":0,"Item":[]}

      ,"3":{"GiftId":3,"GiftName":"新手黄金礼包","Gold":5000,"Gem":5,"DragbonBall":0,"Item":[]}

      ,"4":{"GiftId":4,"GiftName":"测试用礼包","Gold":0,"Gem":0,"DragbonBall":0,"Item":[106,10]}

      ,"5":{"GiftId":5,"GiftName":"圣诞豪华礼包","Gold":20000,"Gem":20,"DragbonBall":0,"Item":[]}

      ,"6":{"GiftId":6,"GiftName":"超级炮台豪华礼包","Gold":25000,"Gem":25,"DragbonBall":0,"Item":[505,1]}

      }// GiftId:礼包ID, GiftName:礼包名称, Gold:金币, Gem:钻石, DragbonBall:龙珠, Item:道具


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}